Camtasia for Mac 3.0.6 and macOS High Sierra

  • 1
  • Question
  • Updated 7 months ago
Is Camtasia for Mac 3.0.6 certified on macOS High Sierra?
Photo of Mark Richman

Mark Richman

  • 4 Posts
  • 0 Reply Likes

Posted 1 year ago

  • 1
Photo of Leif

Leif, Employee

  • 110 Posts
  • 64 Reply Likes
Official Response
3.0.6 will have some issues on High Sierra. 
Primarily with some of the 3.1.0 features, with canceling export and with system audio (kexts now need to be authorized by the user).  If you have Camtasia with system audio installed before you upgrade to High Sierra, system audio should still work as existing kexts at the time of install are assumed to have authorization. There are additional annoyances as well. 
We are hard at work on a 3.1.1 release to address all known compatibility issues with High Sierra. 
My recommendation would be to wait for the 3.1.1 update unless you have another system or OS partition that you can fall back to if the particular functionality you need in Camtasia is broken on High Sierra.